This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 657310 - Occasional 'sticky' input when typing in spicec
Occasional 'sticky' input when typing in spicec
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: spice (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Gerd Hoffmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-25 07:51 EST by Matthew Booth
Modified: 2012-08-16 14:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:49:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Booth 2010-11-25 07:51:31 EST
Description of problem:
Occasionally when I'm typing in my guest, keyboard input will appear to freeze for a short period of time. If a key was pressed during the freeze, this may trigger the keyboard repeat, and I'll end up with a line of whatever key was pressed at the time. Keys pressed after the freeze appear to be stacked, and will appear as typed after the repeated character.

I don't yet have a reproducer, and I'm not 100% sure of the detail above. The issue is relatively infrequent (every few hours) and short lived (a few seconds). I'll happily provide more info if you have any idea what would be useful. Alternatively, I'll update this BZ if I figure anything out.

Version-Release number of selected component (if applicable):
git (dd31c0cb)
Comment 1 Hans de Goede 2010-11-25 09:48:35 EST
Hi,

What version of libxcb and libX11 are you using ("rpm -q libxcb libX11" output please) ?

Thanks,

Hans
Comment 2 Matthew Booth 2010-11-25 10:30:29 EST
libxcb-1.7-1.fc14.x86_64
libxcb-1.7-1.fc14.i686
libX11-1.3.4-3.fc14.x86_64
libX11-1.3.4-3.fc14.i686
Comment 3 Matthew Booth 2010-11-25 11:19:58 EST
Actually, I think I misreported the behaviour. It's actually as though it misses the key up event, and holds down the previous key until the next one is pressed.
Comment 4 Hans de Goede 2010-11-25 11:33:57 EST
(In reply to comment #2)
> libxcb-1.7-1.fc14.x86_64
> libxcb-1.7-1.fc14.i686
> libX11-1.3.4-3.fc14.x86_64
> libX11-1.3.4-3.fc14.i686

Bummer, that is not it then.

(In reply to comment #3)
> Actually, I think I misreported the behaviour. It's actually as though it
> misses the key up event, and holds down the previous key until the next one is
> pressed.

Hmm, could be the only sure way of knowing would be:
1) finding a way to reliable reproduce
2) run xev inside the guest and see what it does with the reproducer
Comment 5 Fedora End Of Life 2012-08-16 14:50:00 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.